package com.gyee.viewticket.controller.viewticket;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.viewticket.comm.domain.AjaxResult;
import com.gyee.viewticket.service.ticket.PolineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author admin
 * @since 2021-07-08
 */
@RestController
@RequestMapping("/poline")
public class PolineController {



    @Autowired
    PolineService polineService;


    /**
     *
     * @param pageNum 页数
     * @param pageSize 条数
     * @param vendor 供应商
     * @param warehouse 仓库
     * @param ponum 采购单号
     * @return
     */
   // @CrossOrigin(origins = "*",maxAge = 3600)
    @GetMapping(value = "list")
    public AjaxResult getPolinePageList(
            @RequestParam(value = "pagenum") Integer pageNum,
            @RequestParam(value = "pagesize") Integer pageSize,
            @RequestParam(value = "vendor", required = false) String vendor,
            @RequestParam(value = "warehouse", required = false) String warehouse,
            @RequestParam(value = "ponum", required = false) String ponum,
            @RequestParam(value = "starttime", required = false) String starttime,
            @RequestParam(value = "endtime", required = false) String endtime
    ){
        Page page = new Page(pageNum, pageSize);
        IPage<Map> list = polineService.getPolinePageList(page,vendor,warehouse,ponum,starttime,endtime);
        return AjaxResult.successData(list);
    }




}

