package com.gyee.viewticket.controller.viewticket;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.viewticket.comm.domain.AjaxResult;
import com.gyee.viewticket.model.ticket.Windturbine;
import com.gyee.viewticket.service.ticket.WindturbineService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author admin
 * @since 2021-06-24
 */
@RestController
@RequestMapping("/windturbine")
public class WindturbineController {





    private static final Logger log = LoggerFactory.getLogger(WindturbineController.class);

    @Autowired
    WindturbineService windturbineService;




    /**
     * 按场站获取所有风机
     * @param wtid 风机编号
     * @return
     */
    //@CrossOrigin(origins = "*",maxAge = 3600)
    @GetMapping(value = "list")
    public AjaxResult getWindturbineid(
            @RequestParam(value = "wtid",required = false)String wtid) {
        List<Map> list = windturbineService.getWindturbinePageList(wtid);
        return AjaxResult.successData(list);


    }

}

