package com.gyee.viewticket.model.ticket;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author admin
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("LABOR")
public class Labor extends Model<Labor> {

    private static final long serialVersionUID=1L;

      @TableId("ID")
    private Double id;

    @TableField("LABORNUM")
    private String labornum;

    @TableField("LABORNAME")
    private String laborname;

    @TableField("CRAFT")
    private String craft;

    @TableField("DEPTNUM")
    private String deptnum;

    @TableField("CREWID")
    private String crewid;

    @TableField("JOBCODE")
    private String jobcode;

    @TableField("EMPLOYEETYPE")
    private String employeetype;

    @TableField("CALNUM")
    private String calnum;

    @TableField("SHIFTNUM")
    private String shiftnum;

    @TableField("ENABLED")
    private String enabled;

    @TableField("EMAIL")
    private String email;

    @TableField("WKADDRESS")
    private String wkaddress;

    @TableField("POSTNUM")
    private String postnum;

    @TableField("HOMEADDRESS")
    private String homeaddress;

    @TableField("PHONENUM")
    private String phonenum;

    @TableField("MPHONE")
    private String mphone;

    @TableField("HOMEPHONE")
    private String homephone;

    @TableField("PAYRATE")
    private Double payrate;

    @TableField("OTSCALE")
    private Double otscale;

    @TableField("BIRTHDATE")
    private Date birthdate;

    @TableField("HIREDATE")
    private Date hiredate;

    @TableField("OUTSIDE")
    private String outside;

    @TableField("GLACCOUNT")
    private String glaccount;

    @TableField("VENDOR")
    private String vendor;

    @TableField("SUPERVISOR")
    private String supervisor;

    @TableField("DEFAULTSTORELOC")
    private String defaultstoreloc;

    @TableField("CONSIGN")
    private String consign;

    @TableField("CONSIGSDATE")
    private Date consigsdate;

    @TableField("CONSIGEDATE")
    private Date consigedate;

    @TableField("NAVMENUTYPE")
    private String navmenutype;

    @TableField("SITENUM")
    private String sitenum;

    @TableField("CORPNUM")
    private String corpnum;

    @TableField("DEFAULTLOC")
    private String defaultloc;

    @TableField("AUTHALLDEPT")
    private String authalldept;

    @TableField("AUTHDEPT")
    private String authdept;

    @TableField("SHOWMIND")
    private String showmind;

    @TableField("ORDERBY")
    private Double orderby;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
