package com.gyee.viewticket.model.ticket;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author admin
 * @since 2021-07-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PO")
public class Po extends Model<Po> {

    private static final long serialVersionUID=1L;

      @TableId("ID")
    private Double id;

    @TableField("PONUM")
    private String ponum;

    @TableField("DESCRIPTION")
    private String description;

    @TableField("ORDERDATE")
    private LocalDateTime orderdate;

    @TableField("REQUIREDDATE")
    private LocalDateTime requireddate;

    @TableField("STATUS")
    private String status;

    @TableField("STATUSDATE")
    private LocalDateTime statusdate;

    @TableField("VENDOR")
    private String vendor;

    @TableField("CONTACT")
    private String contact;

    @TableField("FREIGHTTERMS")
    private String freightterms;

    @TableField("PAYMENTTERMS")
    private String paymentterms;

    @TableField("SHIPVIA")
    private String shipvia;

    @TableField("SHIPTOLABOR")
    private String shiptolabor;

    @TableField("SHIPTOADDR")
    private String shiptoaddr;

    @TableField("BILLTOLABOR")
    private String billtolabor;

    @TableField("BILLTOADDR")
    private String billtoaddr;

    @TableField("TOTALCOST")
    private Double totalcost;

    @TableField("CHANGEBY")
    private String changeby;

    @TableField("CHANGEDATE")
    private LocalDateTime changedate;

    @TableField("VENDELIVERYDATE")
    private LocalDateTime vendeliverydate;

    @TableField("RECEIPTS")
    private String receipts;

    @TableField("EXCHANGERATE")
    private Double exchangerate;

    @TableField("EXCHANGEDATE")
    private LocalDateTime exchangedate;

    @TableField("TOTALTAX")
    private Double totaltax;

    @TableField("STARTDATE")
    private LocalDateTime startdate;

    @TableField("ENDDATE")
    private LocalDateTime enddate;

    @TableField("EBSSENT")
    private String ebssent;

    @TableField("EBSSTATUSDATE")
    private LocalDateTime ebsstatusdate;

    @TableField("POTYPE")
    private String potype;

    @TableField("SUPERVISOR")
    private String supervisor;

    @TableField("ISPROTOCOL")
    private String isprotocol;

    @TableField("ISGOV")
    private String isgov;

    @TableField("POREASON")
    private String poreason;

    @TableField("NOTIFYNUM")
    private String notifynum;

    @TableField("SITENUM")
    private String sitenum;

    @TableField("CORPNUM")
    private String corpnum;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
