package com.gyee.viewticket.model.ticket;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author admin
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("WORKTICKET")
public class Workticket extends Model<Workticket> {

    private static final long serialVersionUID=1L;

      @TableId("ID")
    private Double id;

    @TableField("WONUM")
    private String wonum;

    @TableField("STATION")
    private String station;

    @TableField("WTICKETTYPE")
    private String wtickettype;

    @TableField("PRINCIPAL")
    private String principal;

    @TableField("DEPTGROUP")
    private String deptgroup;

    @TableField("FINALTYPE")
    private String finaltype;

    @TableField("STARTDATE")
    private Date startdate;

    @TableField("ENDDATE")
    private Date enddate;

    @TableField("WORKTASK")
    private String worktask;

    @TableField("WORKADDRESS")
    private String workaddress;

    @TableField("STOPLINENAME")
    private String stoplinename;

    @TableField("RUNDEPT")
    private String rundept;

    @TableField("CONSDEPT")
    private String consdept;

    @TableField("SIGNATORY")
    private String signatory;

    @TableField("TKCHAMBER")
    private String tkchamber;

    @TableField("REMARK1")
    private String remark1;

    @TableField("INCEPTDATE")
    private Date inceptdate;

    @TableField("INCEPTMAN")
    private String inceptman;

    @TableField("YORN")
    private String yorn;

    @TableField("ADJUSTORADD")
    private String adjustoradd;

    @TableField("ADJUSTUSER")
    private String adjustuser;

    @TableField("PRESERVING")
    private String preserving;

    @TableField("REMARK2")
    private String remark2;

    @TableField("FIATQUOMODO")
    private String fiatquomodo;

    @TableField("FIATDATE")
    private Date fiatdate;

    @TableField("FIATUSER1")
    private String fiatuser1;

    @TableField("PRINCIPAL1")
    private String principal1;

    @TableField("REMARK3")
    private String remark3;

    @TableField("PROJECT")
    private String project;

    @TableField("PRINCIPAL2")
    private String principal2;

    @TableField("FIATUSER2")
    private String fiatuser2;

    @TableField("SIGNATORY1")
    private String signatory1;

    @TableField("CHANGEDATE")
    private Date changedate;

    @TableField("PRINCIPAL3")
    private String principal3;

    @TableField("NEWPRINCIPAL")
    private String newprincipal;

    @TableField("FIATUSER3")
    private String fiatuser3;

    @TableField("NEWDATE")
    private Date newdate;

    @TableField("PRINCIPAL4")
    private String principal4;

    @TableField("INCEPTMAN1")
    private String inceptman1;

    @TableField("FINALTIME")
    private Date finaltime;

    @TableField("PRINCIPAL5")
    private String principal5;

    @TableField("FIATUSER4")
    private String fiatuser4;

    @TableField("LINENUM")
    private String linenum;

    @TableField("STATUS")
    private String status;

    @TableField("STATUSDATE")
    private Date statusdate;

    @TableField("EQNUM")
    private String eqnum;

    @TableField("LOCATION")
    private String location;

    @TableField("SECYORN")
    private String secyorn;

    @TableField("OUTYORN")
    private String outyorn;

    @TableField("SAFEYORN")
    private String safeyorn;

    @TableField("SITENUM")
    private String sitenum;

    @TableField("CORPNUM")
    private String corpnum;

    @TableField("EQNUMDIS")
    private String eqnumdis;

    @TableField("LOCATIONDIS")
    private String locationdis;

    @TableField("WORKDEPT")
    private String workdept;

    @TableField("SIGNDATE")
    private Date signdate;

    @TableField("MEMBERCHANGE")
    private String memberchange;

    @TableField("UNLINENAME")
    private String unlinename;

    @TableField("UNLINECOUNT")
    private String unlinecount;

    @TableField("SWITCHCOUNT")
    private String switchcount;

    @TableField("BAFFLECOUNT")
    private Double bafflecount;

    @TableField("FIATUSER5")
    private String fiatuser5;

    @TableField("TICKETFINALTIME")
    private Date ticketfinaltime;

    @TableField("SUBNUM")
    private String subnum;

    @TableField("SUBPRINCIPAL")
    private String subprincipal;

    @TableField("FINALTYPE1")
    private String finaltype1;

    @TableField("FINALTIME1")
    private Date finaltime1;

    @TableField("PRINCIPAL6")
    private String principal6;

    @TableField("FIATUSER6")
    private String fiatuser6;

    @TableField("FIATDATE1")
    private Date fiatdate1;

    @TableField("FIATUSER7")
    private String fiatuser7;

    @TableField("SAFETY")
    private String safety;

    @TableField("PRINCIPAL7")
    private String principal7;

    @TableField("WORKLINE")
    private String workline;

    @TableField("EQUI")
    private String equi;

    @TableField("SAFENOTICE")
    private String safenotice;

    @TableField("SEQUENCE")
    private Double sequence;

    @TableField("STANTICKETTYPE")
    private String stantickettype;

    @TableField("STLITICKETTYPE")
    private String stlitickettype;

    @TableField("INITIALUSER")
    private String initialuser;

    @TableField("INITIALUSERDEPT")
    private String initialuserdept;

    @TableField("WORKUSER")
    private String workuser;

    @TableField("TICKETNUM")
    private String ticketnum;

    @TableField("ADDPEOPLE")
    private String addpeople;

    @TableField("ADDTIME")
    private Date addtime;

    @TableField("AWAYPEOPLE")
    private String awaypeople;

    @TableField("AWAYTIME")
    private Date awaytime;

    @TableField("WORKSTEERPEOPLE")
    private String worksteerpeople;

    @TableField("WORKADDPEOPLE")
    private String workaddpeople;

    @TableField("STOPSCOPE")
    private String stopscope;

    @TableField("COUNTERSIGNDATE")
    private Date countersigndate;

    @TableField("COUNTERSIGNPERSON")
    private String countersignperson;

    @TableField("CHECKDATE")
    private Date checkdate;

    @TableField("CHECKPERSON")
    private String checkperson;

    @TableField("CHECKQUESTION")
    private String checkquestion;

    @TableField("REMARK4")
    private String remark4;

    @TableField("CHECKSTATE")
    private String checkstate;

    @TableField("STARTWORKTIME")
    private Date startworktime;

    @TableField("ENDWORKTIME")
    private Date endworktime;

    @TableField("PRINCIPAL8")
    private String principal8;

    @TableField("BUGNUM")
    private String bugnum;

    @TableField("WORKAREA")
    private String workarea;

    @TableField("FIREPRINCIPAL")
    private String fireprincipal;

    @TableField("FIRELOCATION")
    private String firelocation;

    @TableField("SURVEYLOCATION")
    private String surveylocation;

    @TableField("CONTENTS")
    private String contents;

    @TableField("INSTRUMENT")
    private String instrument;

    @TableField("SURVEYPERSON")
    private String surveyperson;

    @TableField("SURVEYTIME")
    private Date surveytime;

    @TableField("APPLYFIRESTARTTIME")
    private Date applyfirestarttime;

    @TableField("APPLYFIREENDTIME")
    private Date applyfireendtime;

    @TableField("LEADERSHIP")
    private String leadership;

    @TableField("SAFEPRINCIPAL")
    private String safeprincipal;

    @TableField("FIREFIGHTINGPERSON")
    private String firefightingperson;

    @TableField("SHIFTFOREMAN")
    private String shiftforeman;

    @TableField("FIREOPERATOR")
    private String fireoperator;

    @TableField("FIREPERMITTIME")
    private Date firepermittime;

    @TableField("FIREENDTIME")
    private Date fireendtime;

    @TableField("DEPTGROUP1")
    private String deptgroup1;

    @TableField("FIREWORKCONTENT")
    private String fireworkcontent;

    @TableField("FIATUSER8")
    private String fiatuser8;

    @TableField("GUARDIAN")
    private String guardian;

    @TableField("GUARDIAN1")
    private String guardian1;

    @TableField("GUARDIAN2")
    private String guardian2;

    @TableField("FIREOPERATOR1")
    private String fireoperator1;

    @TableField("SHIFTFOREMAN1")
    private String shiftforeman1;

    @TableField("DESCRIPTION")
    private String description;

    @TableField("EQUNAME")
    private String equname;

    @TableField("BARNAME")
    private String barname;

    @TableField("BARNAME1")
    private String barname1;

    @TableField("LINEADDDATE")
    private Date lineadddate;

    @TableField("LINEENDDATE")
    private Date lineenddate;

    @TableField("LINEAGREEMODE")
    private String lineagreemode;

    @TableField("LINEAGEEPEOPLE")
    private String lineageepeople;

    @TableField("LINEAGEEPEOPLE2")
    private String lineageepeople2;

    @TableField("LINEBEGINDATE")
    private Date linebegindate;

    @TableField("LINEREPORTMODE")
    private String linereportmode;

    @TableField("LINEAGEEPEOPLE4")
    private String lineageepeople4;

    @TableField("LINEAGEEPEOPLE3")
    private String lineageepeople3;

    @TableField("LINEREPOPTMODE")
    private String linerepoptmode;

    @TableField("EQUIPMENT")
    private String equipment;

    @TableField("SBMS")
    private String sbms;

    @TableField("EQNAME")
    private String eqname;

    @TableField("FIATUSER")
    private String fiatuser;

    @TableField("INCEPTMAN2")
    private String inceptman2;

    @TableField("LEADERSHIP1")
    private String leadership1;

    @TableField("SAFEPRINCIPAL1")
    private String safeprincipal1;

    @TableField("FIREFIGHTPERSON1")
    private String firefightperson1;

    @TableField("WTNUM")
    private String wtnum;

    @TableField("WORKREPORT")
    private String workreport;

    @TableField("SAFEMEASURE")
    private String safemeasure;

    @TableField("ADDSAFEMEASURE")
    private String addsafemeasure;

    @TableField("PRINCIPALDATE")
    private Date principaldate;

    @TableField("FIATUSERDATE")
    private Date fiatuserdate;

    @TableField("GWNUM")
    private String gwnum;

    @TableField("ISEND")
    private String isend;

    @TableField("WSPEED")
    private String wspeed;

    @TableField("COMPLETION")
    private String completion;

    @TableField("RELINECOUNT")
    private String relinecount;

    @TableField("UNSWITCHCOUNT")
    private String unswitchcount;

    @TableField("RESWITCHCOUNT")
    private String reswitchcount;

    @TableField("FIREMODE")
    private String firemode;

    @TableField("FIREOPERATORNUM")
    private String fireoperatornum;

    @TableField("SIGNATORYNUM")
    private String signatorynum;

    @TableField("FIATUSER1NUM")
    private String fiatuser1num;

    @TableField("PRINCIPAL2NUM")
    private String principal2num;

    @TableField("SHIFTFOREMANNUM")
    private String shiftforemannum;

    @TableField("FIATUSERNUM")
    private String fiatusernum;

    @TableField("INCEPTMAN1NUM")
    private String inceptman1num;

    @TableField("FIREFIGHTINGPERNUM")
    private String firefightingpernum;

    @TableField("SAFEPRINCIPALNUM")
    private String safeprincipalnum;

    @TableField("FIATUSER5NUM")
    private String fiatuser5num;

    @TableField("FIATUSER8NUM")
    private String fiatuser8num;

    @TableField("PRINCIPAL1NUM")
    private String principal1num;

    @TableField("GUARDIANNUM")
    private String guardiannum;

    @TableField("FIREOPERATOR1NUM")
    private String fireoperator1num;

    @TableField("PRINCIPAL5NUM")
    private String principal5num;

    @TableField("FIATUSER4NUM")
    private String fiatuser4num;

    @TableField("SHIFTFORENUM1NUM")
    private String shiftforenum1num;

    @TableField("INCEPTMANNUM")
    private String inceptmannum;

    @TableField("PRINCIPAL3NUM")
    private String principal3num;

    @TableField("GUARDIAN1NUM")
    private String guardian1num;

    @TableField("FIATUSER7NUM")
    private String fiatuser7num;

    @TableField("PRINCIPAL6NUM")
    private String principal6num;

    @TableField("SAFEPRINCIPAL1NUM")
    private String safeprincipal1num;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
