package com.gyee.viewticket.service.impl.ticket;

import com.gyee.viewticket.model.ticket.Locations;
import com.gyee.viewticket.mapper.ticket.LocationsMapper;
import com.gyee.viewticket.service.ticket.LocationsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author admin
 * @since 2021-03-09
 */
@Service
public class LocationsServiceImpl extends ServiceImpl<LocationsMapper, Locations> implements LocationsService {
    @Autowired
    LocationsMapper locationsMapper;

    @Override
    public String gerDescription(String location, String description) {
        List<Locations> list = locationsMapper.selectDescription(location+"%",description);
        if (list.size()>0){
            return list.get(0).getLocation();
        }
        return null;
    }
}
