package com.gyee.viewticket.service.impl.ticket;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.viewticket.model.ticket.Windturbine;
import com.gyee.viewticket.mapper.ticket.WindturbineMapper;
import com.gyee.viewticket.service.ticket.WindturbineService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author admin
 * @since 2021-03-09
 */
@Service
public class WindturbineServiceImpl extends ServiceImpl<WindturbineMapper, Windturbine> implements WindturbineService {


    @Autowired
    WindturbineMapper windturbineMapper;

    @Override
    public List<Map> getWindturbineList(String deptnum) {
        List<Map> map  = windturbineMapper.getWindturbineList(deptnum);
        return map;
    }

    @Override
    public List<Map> getWindturbinePageList(String wtid) {
        List<Map> lists= windturbineMapper.selectWindturbinePageList(wtid);
        return lists;
    }


}
