package com.gyee.viewticket.service.impl.ticket;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.viewticket.model.ticket.Workriskpool;
import com.gyee.viewticket.mapper.ticket.WorkriskpoolMapper;
import com.gyee.viewticket.service.ticket.WorkriskpoolService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author admin
 * @since 2021-03-09
 */
@Service
public class WorkriskpoolServiceImpl extends ServiceImpl<WorkriskpoolMapper, Workriskpool> implements WorkriskpoolService {

    @Autowired
    WorkriskpoolMapper workriskpoolMapper;

    @Override
    public List<Map> getWorkriskpoolList() {
        List<Map> list = workriskpoolMapper.selectWorkriskpoolList();
        if (list.size()>0){
            for (int i = 0;i<list.size();i++){
                List<Map> parent = workriskpoolMapper.selectWorkriskpoolParentList(list.get(i).get("value").toString());
                list.get(i).put("children",parent);
                if(parent.size()>0){
                    for (Map m:parent) {
                        List<Map> parent1 = workriskpoolMapper.selectWorkriskpoolParentList(m.get("value").toString());
                        m.put("children",parent1);
                    }
                }
            }
        }
        return list;
    }

    @Override
    public Workriskpool getWorkriskpool(String workrisknum) {
        QueryWrapper<Workriskpool> wrapper = new QueryWrapper<>();
        wrapper.eq("WORKRISKNUM", workrisknum);
        Workriskpool workriskpool =  baseMapper.selectOne(wrapper);
        return workriskpool;
    }
}
