package com.gyee.viewticket.controller.viewticket;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.viewticket.comm.domain.AjaxResult;
import com.gyee.viewticket.service.ticket.EquoperationrecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author admin
 * @since 2021-07-05
 */
@RestController
@RequestMapping("/equoperationrecord")
public class EquoperationrecordController {



    @Autowired
    EquoperationrecordService equoperationrecordService;

    /**
     *
     * @param pageNum 当前页
     * @param pageSize 每页显示条数
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param wtid 风机编号
     * @param type 类型
     * @return
     */
    //@CrossOrigin(origins = "*",maxAge = 3600)
    @GetMapping(value = "list")
    public AjaxResult getEquoperationrecordPageList(
            @RequestParam(value = "pagenum") Integer pageNum,
            @RequestParam(value = "pagesize") Integer pageSize,
            @RequestParam(value = "starttime", required = false) String startTime,
            @RequestParam(value = "endtime", required = false) String endTime,
            @RequestParam(value = "wtid",required = false)String wtid,
            @RequestParam(value = "type",required = false)String type)
     {
        Page page = new Page(pageNum, pageSize);
        IPage<Map> list = equoperationrecordService.getEquoperationrecordPageList(page,startTime,endTime,wtid,type);
        return AjaxResult.successData(list);
    }

}

