package com.gyee.viewticket.model.ticket;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author admin
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("LOCATIONS")
public class Locations extends Model<Locations> {

    private static final long serialVersionUID=1L;

    @TableId("ID")
    private Double id;

    @TableField("LOCATION")
    private String location;

    @TableField("DESCRIPTION")
    private String description;

    @TableField("TYPE")
    private String type;

    @TableField("STATUS")
    private String status;

    @TableField("STATUSDATE")
    private Date statusdate;

    @TableField("DEPTNUM")
    private String deptnum;

    @TableField("CRAFT")
    private String craft;

    @TableField("CHANGEBY")
    private String changeby;

    @TableField("CHANGEDATE")
    private Date changedate;

    @TableField("CLASSID")
    private String classid;

    @TableField("LOCPRIORITY")
    private Double locpriority;

    @TableField("SITENUM")
    private String sitenum;

    @TableField("CORPNUM")
    private String corpnum;

    @TableField("NODETYPE")
    private String nodetype;

    @TableField("KKSCODE")
    private String kkscode;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
