package com.gyee.viewticket.model.ticket;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author admin
 * @since 2021-07-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("POLINE")
public class Poline extends Model<Poline> {

    private static final long serialVersionUID=1L;

      @TableId("ID")
    private Double id;

    @TableField("PONUM")
    private String ponum;

    @TableField("POLINENUM")
    private Double polinenum;

    @TableField("ITEMNUM")
    private String itemnum;

    @TableField("DESCRIPTION")
    private String description;

    @TableField("WAREHOUSE")
    private String warehouse;

    @TableField("ORDERQTY")
    private Double orderqty;

    @TableField("ORDERUNIT")
    private String orderunit;

    @TableField("CONVERSION")
    private Double conversion;

    @TableField("UNITCOST")
    private Double unitcost;

    @TableField("TAXUNITCOST")
    private Double taxunitcost;

    @TableField("LINECOST")
    private Double linecost;

    @TableField("TAXLINECOST")
    private Double taxlinecost;

    @TableField("RECEIVEDQTY")
    private Double receivedqty;

    @TableField("RECEIVEDUNITCOST")
    private Double receivedunitcost;

    @TableField("RECEIVEDTOTALCOST")
    private Double receivedtotalcost;

    @TableField("TAXCODE")
    private String taxcode;

    @TableField("TAXRATE")
    private Double taxrate;

    @TableField("TAX")
    private Double tax;

    @TableField("REJECTEDQTY")
    private Double rejectedqty;

    @TableField("VENDELIVERYDATE")
    private LocalDateTime vendeliverydate;

    @TableField("ENTERDATE")
    private LocalDateTime enterdate;

    @TableField("ENTERBY")
    private String enterby;

    @TableField("REQUESTEDBY")
    private String requestedby;

    @TableField("REQDELIVERYDATE")
    private LocalDateTime reqdeliverydate;

    @TableField("MANUFACTURER")
    private String manufacturer;

    @TableField("MODELNUM")
    private String modelnum;

    @TableField("SERVICE")
    private String service;

    @TableField("STOCKTYPE")
    private String stocktype;

    @TableField("REMARK")
    private String remark;

    @TableField("LOCATION")
    private String location;

    @TableField("RECEIPTSCOMPLETE")
    private String receiptscomplete;

    @TableField("INSPECTION")
    private String inspection;

    @TableField("LOADEDCOST")
    private Double loadedcost;

    @TableField("PRORATED")
    private String prorated;

    @TableField("PRORATECOST")
    private Double proratecost;

    @TableField("WONUM")
    private String wonum;

    @TableField("TASKNUM")
    private String tasknum;

    @TableField("BUDNUM")
    private String budnum;

    @TableField("BUDITEM")
    private String buditem;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
