package com.gyee.viewticket.model.ticket;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author admin
 * @since 2021-03-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("WINDTURBINE")
public class Windturbine extends Model<Windturbine> {

    private static final long serialVersionUID=1L;

      @TableId("ID")
    private Double id;

    @TableField("WTNUM")
    private Double wtnum;

    @TableField("OWNERWF")
    private Double ownerwf;

    @TableField("OWNERPROJECT")
    private Double ownerproject;

    @TableField("OWNERLINE")
    private Double ownerline;

    @TableField("ORDERNUM")
    private Double ordernum;

    @TableField("WTWFNUM")
    private String wtwfnum;

    @TableField("WTGRIDNUM")
    private String wtgridnum;

    @TableField("VENDOR")
    private String vendor;

    @TableField("MODEL")
    private String model;

    @TableField("RATEDPOWER")
    private Double ratedpower;

    @TableField("RATEDWINSPE")
    private Double ratedwinspe;

    @TableField("RATEDVOLTAGE")
    private Double ratedvoltage;

    @TableField("RATEDREV")
    private Double ratedrev;

    @TableField("CUTINWINSPE")
    private Double cutinwinspe;

    @TableField("CUTOUTWINSPE")
    private Double cutoutwinspe;

    @TableField("MAXWINSPE")
    private Double maxwinspe;

    @TableField("LOWERTEMP")
    private Double lowertemp;

    @TableField("HIGHTEMP")
    private Double hightemp;

    @TableField("LOWERREV")
    private Double lowerrev;

    @TableField("HIGHREV")
    private Double highrev;

    @TableField("ROTERDIAMETER")
    private Double roterdiameter;

    @TableField("HUBHEIGHT")
    private Double hubheight;

    @TableField("RELEASEDATE")
    private Date releasedate;

    @TableField("INSTALLDATE")
    private Date installdate;

    @TableField("TESTDATE")
    private Date testdate;

    @TableField("OPDATE")
    private Date opdate;

    @TableField("LOCATION")
    private String location;

    @TableField("WFLOCATION")
    private String wflocation;

    @TableField("WTID")
    private String wtid;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
