package com.gyee.viewticket.service.impl.ticket;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gyee.viewticket.model.ticket.Poline;
import com.gyee.viewticket.mapper.ticket.PolineMapper;
import com.gyee.viewticket.service.ticket.PolineService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author admin
 * @since 2021-07-08
 */
@Service
public class PolineServiceImpl extends ServiceImpl<PolineMapper, Poline> implements PolineService {


    @Autowired
    private PolineMapper polineMapper;

    @Override
    public IPage<Map> getPolinePageList(Page page,String vendor,String warehouse,String ponum,String starttime,String endtime) {
        IPage<Map> list  = polineMapper.selectPolinePageList(page,vendor,warehouse,ponum,starttime,endtime);
        return list;
    }
}
