package com.gyee.viewticket.service.ticket;

import com.gyee.viewticket.model.ticket.Labor;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author admin
 * @since 2021-03-09
 */
@Service
public interface LaborService extends IService<Labor> {

    /**
     * 根据场站查询人员
     *
     * @param dept
     * @return
     */
    List<Labor> getLaborList(String dept);

    /**
     * 根据人员登录名查询一条
     *
     * @param laborNum
     * @return
     */
    Labor getLaborItem(String laborNum);

}
